#!/usr/bin/env bash
# create json files with list of POIs
python3 Validate.py -t sensors
python3 Validate.py -t fog
python3 Validate.py -t cloud
# create topology and connect nodes
TOPONAME=conn_naive
python3 Subsample.py -S 50 -F 5 -C 1
python3 Connect.py -o ${TOPONAME}.json

# create map
python3 CreateMap.py -i ${TOPONAME}.json
gnuplot maps.gnuplot
MAPNAME=${TOPONAME}.dat
for i in $(grep -P "^2\t" ${MAPNAME}  | cut -f2)
do
  echo $i: $(grep -cP "^1\t[0-9]+\t${i}" "${MAPNAME}"), $(grep -cP "^2\t${i}\t" "${MAPNAME}")
done
# create scenario. Warning: we overwrite the input file
python3 CreateScenario.py -d "10e-3" -m "1.0" -r "0.5" -i conn_naive.json -o conn_naive.json
# prepare oment files
python3 CreateOmnet.py -i conn_naive.json -n ConnNaive




