set terminal postscript enhanced solid eps "Helvetica" 20
set ylabel "Latitude"
set xlabel "Longitude"

set output "conn_topology_map.eps"
p \
"<(grep -P '^3\t' conn_topology_map.dat)" using ($5):($4) notitle with p pt 15 ps 3, \
"<(grep -P '^1\t[0-9]+\t0' conn_topology_map.dat)" using ($5):($4) notitle with p pt 4 ps 2, \
"<(grep -P '^1\t[0-9]+\t1' conn_topology_map.dat)" using ($5):($4) notitle with p pt 6 ps 2, \
"<(grep -P '^1\t[0-9]+\t2' conn_topology_map.dat)" using ($5):($4) notitle with p pt 8 ps 2, \
"<(grep -P '^1\t[0-9]+\t3' conn_topology_map.dat)" using ($5):($4) notitle with p pt 10 ps 2, \
"<(grep -P '^1\t[0-9]+\t4' conn_topology_map.dat)" using ($5):($4) notitle with p pt 12 ps 2, \
"<(grep -P '^2\t0\t' conn_topology_map.dat)" using ($5):($4) notitle with p pt 5 ps 2, \
"<(grep -P '^2\t1\t' conn_topology_map.dat)" using ($5):($4) notitle with p pt 7 ps 2, \
"<(grep -P '^2\t2\t' conn_topology_map.dat)" using ($5):($4) notitle with p pt 9 ps 2, \
"<(grep -P '^2\t3\t' conn_topology_map.dat)" using ($5):($4) notitle with p pt 11 ps 2, \
"<(grep -P '^2\t4\t' conn_topology_map.dat)" using ($5):($4) notitle with p pt 13 ps 2


# set output "map_naive.eps"
# p \
# "<(grep -P '^3\t' naive_map.dat)" using ($5):($4) notitle with p pt 13 ps 3, \
# "<(grep -P '^1\t[0-9]+\t0' naive_map.dat)" using ($5):($4) notitle with p pt 4 ps 2, \
# "<(grep -P '^1\t[0-9]+\t1' naive_map.dat)" using ($5):($4) notitle with p pt 6 ps 2, \
# "<(grep -P '^1\t[0-9]+\t2' naive_map.dat)" using ($5):($4) notitle with p pt 8 ps 2, \
# "<(grep -P '^2\t0' naive_map.dat)" using ($5):($4) notitle with p pt 5 ps 2, \
# "<(grep -P '^2\t1' naive_map.dat)" using ($5):($4) notitle with p pt 7 ps 2, \
# "<(grep -P '^2\t2' naive_map.dat)" using ($5):($4) notitle with p pt 9 ps 2


# set output "map_solution.eps"
# p \
# "<(grep -P '^3\t' solution_map.dat)" using ($5):($4) notitle with p pt 13 ps 3, \
# "<(grep -P '^1\t[0-9]+\t0' solution_map.dat)" using ($5):($4) notitle with p pt 4 ps 2, \
# "<(grep -P '^1\t[0-9]+\t1' solution_map.dat)" using ($5):($4) notitle with p pt 6 ps 2, \
# "<(grep -P '^1\t[0-9]+\t2' solution_map.dat)" using ($5):($4) notitle with p pt 8 ps 2, \
# "<(grep -P '^2\t0' solution_map.dat)" using ($5):($4) notitle with p pt 5 ps 2, \
# "<(grep -P '^2\t1' solution_map.dat)" using ($5):($4) notitle with p pt 7 ps 2, \
# "<(grep -P '^2\t2' solution_map.dat)" using ($5):($4) notitle with p pt 9 ps 2

